/*******************************************************************
 * main.cpp
 * written by Steve Sprang
 * Copyright  1997 Digital Dungeon Software
 ******************************************************************/
 
#include "PerfMonitor.h"
#include "PerfWindow.h"

// an Application class definition
class PApplication : public BApplication {
	public:
						PApplication();
		virtual void	AboutRequested();
};

/******************************************************************
 * main()
 *****************************************************************/
main()
{
	PApplication	*app;
	
	app = new PApplication();
	app->Run();
	delete(app);
	
	return 0;
}

/******************************************************************
 * PApplication::PApplication()
 *****************************************************************/
PApplication::PApplication() : BApplication('pmon')
{	
	PerfWindow		*win;
	BRect			bound;
	system_info		sysInfo;
	int				numViews;
	
	// create window bound based on number of CPUs
	get_system_info(&sysInfo);
	numViews = sysInfo.cpu_count + 1; // add one for RAMView
	
	bound.Set(0,0, kWIDTH, numViews * kHEIGHT + (numViews-1));
	
	// reposition rect
	bound.OffsetBy(100, 50);
	win = new PerfWindow(bound, "PerfMonitor v1.1");
}

/******************************************************************
 * PerfWindow::AboutRequested()
 *****************************************************************/
void PApplication::AboutRequested()
{
	BAlert	*about;
	
	char	name[80], address[80], email[80], all[240];
	
	all[0] = NULL;
	
	strcpy(name, "PerfMonitor v1.1\nby Steve Sprang\nCopyright  1997\nAll rights reserved.\n\n");
	strcpy(address, "Steve Sprang\n141 State Route 603\nShiloh, OH 44878\n\n");
	strcpy(email, "e-mail: sprang@andrew.cmu.edu");
	
	strcat(all, name);
	strcat(all, address);
	strcat(all, email);
	
	about = new BAlert("", all, "OK");
	about->Go();
}
